Subject: Re: bug#34802: 26.1; "Unknown message" when using emacsclient

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Mar 2019 19:48:51 +0200

[Please use Reply All to keep the bug tracker address on the CC list.]

> From: "Lumpe, Jared" <[email-masked]>
> Date: Mon, 11 Mar 2019 17:33:39 +0000
> 
> Oddly enough, increasing server-msg-size seems to make the problem worse, in that more error messages get printed. I've attached the full string I'm trying to print (still testing by eval-ing a command that visits the file containing the string and does "(princ (buffer-string))"). It's about 9000 characters, but setting server-msg-size to 20000 didn't work. Decreasing it from the default of 1024 seems to affect the number and location of errors printed in a somewhat random way.

Maybe your OS gets in the way.

The error message seemed to say that the long string was cut into
several chunks in the middle of a quoted string, so I suggested to
make server-msg-size larger to avoid this, hoping that the string will
be sent in one chunk.  If that doesn't help, I don't know what to
suggest, because I don't understand what's going on.

Can you show the error message(s) you get with the enlarged
server-msg-size?